Return an Adjustment
Returns an Adjustment
GET
/
api
/
v2
/
platform
/
adjustments
/
{id}
Return an Adjustment
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/adjustments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/adjustments/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6",
"type": "adjustment",
"attributes": {
"source_type": "Spree::TaxRate",
"adjustable_type": "Spree::LineItem",
"amount": "1.0",
"label": "Shipping",
"mandatory": null,
"eligible": true,
"created_at": "2022-11-08T19:33:54.871Z",
"updated_at": "2022-11-08T19:33:54.875Z",
"state": "open",
"included": false,
"display_amount": "$1.00"
},
"relationships": {
"order": {
"data": {
"id": "8",
"type": "order"
}
},
"adjustable": {
"data": {
"id": "2",
"type": "line_item"
}
},
"source": {
"data": {
"id": "5",
"type": "tax_rate"
}
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Response
Record found
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Return an Adjustment
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/adjustments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/adjustments/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6",
"type": "adjustment",
"attributes": {
"source_type": "Spree::TaxRate",
"adjustable_type": "Spree::LineItem",
"amount": "1.0",
"label": "Shipping",
"mandatory": null,
"eligible": true,
"created_at": "2022-11-08T19:33:54.871Z",
"updated_at": "2022-11-08T19:33:54.875Z",
"state": "open",
"included": false,
"display_amount": "$1.00"
},
"relationships": {
"order": {
"data": {
"id": "8",
"type": "order"
}
},
"adjustable": {
"data": {
"id": "2",
"type": "line_item"
}
},
"source": {
"data": {
"id": "5",
"type": "tax_rate"
}
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}
